%define _jarsign_opts --nocopy
%if "%{?rhel}" == "6"
%bcond_without zip
%else
%bcond_with zip
%endif

%define reltag GA
%define namedversion %{name}-%{version}.%{reltag}

Name: mod_rt
Summary: mod_rt is an apache httpd module
Version: 2.4.1
Release: 3.GA%{?dist}
License: GPL

# svn export http://svn.devel.redhat.com/repos/jboss-jon/tags/JBossON_2_4_1_GA/etc/product_connectors/apache-rt/sources/apache2.x/ mod_rt
# tar czf mod_rt-2.4.1.GA.tgz mod_rt
Source0: %{namedversion}.tgz
Source1: mod_rt.conf

Group: Development/Libraries

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires: libtool
BuildRequires: httpd-devel
BuildRequires: zip
Requires: httpd

%description
This module implements End-user response time for Apache 2.0.

%if %with zip
%package src-zip
Summary:     Container for the source distribution of mod_rt
Group:       Development

%description src-zip
Container for the source distribution of mod_rt.
%endif

%prep
%setup -q -n %{namedversion}

#Create src zip to include any patches
%if %with zip
zip -q -r %{name}-%{version}-src.zip *
%endif

%build
make APXS=`which apxs`
                                                                                                     
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules \
         $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d

`which libtool` --mode=install cp mod_rt.la $RPM_BUILD_ROOT%{_libdir}/httpd/modules

chmod 755 $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_rt.so
rm $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_rt.a
rm $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_rt.la

install -p -m 644 %{SOURCE1} \
        $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mod_rt.conf

%if %with zip
mkdir -p $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev
cp %{name}-%{version}-src.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/
%endif
                                                                                                    
%clean
rm -rf $RPM_BUILD_ROOT
                                                                                                     
%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_rt.conf
%{_libdir}/httpd/modules/*.so
#%{_libdir}/httpd/modules/*.a
#%{_libdir}/httpd/modules/*.la

%if %with zip
%files src-zip
%defattr(-,root,root,-)
%{_javadir}/jbossas-fordev/*
%endif

%changelog
* Tue Jun 19 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.4.1-3.GA
- Create src.zip at the end of prep

* Thu Apr 26 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.4.1-2.GA
- Fix Version and Release: tags

* Wed Apr 25 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.4.1.GA-2
- Add src-zip subpackage

* Thu Mar 22 2012 Weinan Li <weli@redhat.com> - 0:2.4.1.GA-1
- Keep version in sync with JON

* Mon Mar 12 2012 Weinan Li <weli@redhat.com> - 0:2.0.0-2
- Move mod_rt.conf to git repo
- rename mod_rt.tgz
- remove mod_rt.a and mod_rt.la

* Mon Jan 09 2012 Weinan Li <weli@redhat.com> - 0:2.0.0-1
Initial import
